<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>MdbAngularFree</title>
  <base href="/">

  <meta name="viewport" content="width=device-width, initial-scale=1">

<!-- Hotjar Tracking Code for https://cabinfit-76461.web.app -->
<script>
  (function(h,o,t,j,a,r){
      h.hj=h.hj||function(){(h.hj.q=h.hj.q||[]).push(arguments)};
      h._hjSettings={hjid:2600278,hjsv:6};
      a=o.getElementsByTagName('head')[0];
      r=o.createElement('script');r.async=1;
      r.src=t+h._hjSettings.hjid+j+h._hjSettings.hjsv;
      a.appendChild(r);
  })(window,document,'https://static.hotjar.com/c/hotjar-','.js?sv=');
</script>

  <link rel="icon" type="image/x-icon" href="favicon.ico">
  
  <link href="https://fonts.googleapis.com/css?family=Quicksand" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Roboto Condensed" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Poppins" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Inconsolata" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Lobster" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Cinzel" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Yomogi" rel="stylesheet">

  <link rel="preconnect" href="https://fonts.gstatic.com">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
</head>
<body id="body">
  <app-root id="main"></app-root>
  <div id="mobileCloseContainer" style="width: 10%;
  min-height: 100vh;
  margin-left: 90%;
  z-index: 9999999999999999999999;
  position: absolute;
  top: 0;"> 

  </div>


  <script>
  
  var body = document.getElementById('body');
  var except = document.getElementById('main');
  var mobileExcept = document.getElementById('mobileCloseContainer');

body.addEventListener("click", function () {
  console.log("Close")
}, false);
except.addEventListener("click", function (ev) {
    
    ev.stopPropagation(); //this is important! If removed, you'll get both alerts
}, false);
mobileExcept.addEventListener("click", function (ev) {
  console.log("Close")
    parent.postMessage("closeCabinFitIframe", "*");
    
    ev.stopPropagation(); //this is important! If removed, you'll get both alerts
}, false);

  </script>
  <!-- The core Firebase JS SDK is always required and must be listed first -->
<script src="/__/firebase/8.4.1/firebase-app.js"></script>

<!-- TODO: Add SDKs for Firebase products that you want to use
     https://firebase.google.com/docs/web/setup#available-libraries -->
<script src="/__/firebase/8.4.1/firebase-analytics.js"></script>

<!-- Initialize Firebase -->
<script src="/__/firebase/init.js"></script>

<script type="module">
  // Import the functions you need from the SDKs you need
  import { initializeApp } from "https://www.gstatic.com/firebasejs/9.0.2/firebase-app.js";
  import { getAnalytics } from "https://www.gstatic.com/firebasejs/9.0.2/firebase-analytics.js";
  // TODO: Add SDKs for Firebase products that you want to use
  // https://firebase.google.com/docs/web/setup#available-libraries

  // Your web app's Firebase configuration
  // For Firebase JS SDK v7.20.0 and later, measurementId is optional
  const firebaseConfig = {
    apiKey: "AIzaSyC9zcYdzopEb0-xoZCjFfpWbHoVJijzcSE",
    authDomain: "cabinfit-76461.firebaseapp.com",
    projectId: "cabinfit-76461",
    storageBucket: "cabinfit-76461.appspot.com",
    messagingSenderId: "526405516362",
    appId: "1:526405516362:web:429455acb9e62907d57ab3",
    measurementId: "G-ZJQXHHV6ZQ"
  };

  // Initialize Firebase
  const app = initializeApp(firebaseConfig);
  const analytics = getAnalytics(app);
</script>
<script>
const W = window;
const WP = window.performance;
const BASE_URL = "https://perfanalytics-api4dashb.herokuapp.com/metric";

const measureFCP = () => {
  const FCPPerformance = WP.getEntriesByType("paint").find(
    (entry) => entry.name === "first-contentful-paint"
  );

  return FCPPerformance?.startTime || 0;
};

const measureTTFB = () => {
  const TTFBPerformance = WP.getEntriesByType("navigation").find(
    (entry) => entry.type === "navigate" && entry.initiatorType === "navigation"
  );

  return (
    (TTFBPerformance?.responseStart || 0) - (TTFBPerformance?.fetchStart || 0)
  );
};

const measureDOMLoad = () => {
  const DOMLoadPerformance = WP.getEntriesByType("navigation").find(
    (entry) => entry.type === "navigate" && entry.initiatorType === "navigation"
  );

  return (
    (DOMLoadPerformance?.domContentLoadedEventEnd || 0) -
    (DOMLoadPerformance?.fetchStart || 0)
  );
};

const measureWindowLoad = () => {
  const WindowLoadPerformance = WP.getEntriesByType("navigation").find(
    (entry) => entry.type === "navigate" && entry.initiatorType === "navigation"
  );

  return (
    (WindowLoadPerformance?.loadEventStart || 0) -
    (WindowLoadPerformance?.fetchStart || 0)
  );
};

const measureResourceLoadsByInitiatorType = (initiatorType) => {
  const ResourceLoadPerformance = WP.getEntriesByType("resource")
  .filter((entry) => entry.initiatorType === initiatorType);

  let resourceEntriesTotalDuration = 0;
  if (ResourceLoadPerformance)
    resourceEntriesTotalDuration = ResourceLoadPerformance.map(
      (entry) => entry.duration
    ).reduce((prev, curr) => prev + curr, 0);

  let resourceEntriesAverageDuration =
    resourceEntriesTotalDuration != 0
      ? resourceEntriesTotalDuration / ResourceLoadPerformance.length
      : 0;
  return resourceEntriesAverageDuration;
};

W.onload = () => {
  const fcpTime = measureFCP();
  const ttfbTime = measureTTFB();
  const domLoadTime = measureDOMLoad();
  const windowLoadTime = measureWindowLoad();
  const scriptResourceLoadTime = measureResourceLoadsByInitiatorType("script");
  const cssResourceLoadTime = measureResourceLoadsByInitiatorType("css");
  const imgResourceLoadTime = measureResourceLoadsByInitiatorType("img");
  const linkResourceLoadTime = measureResourceLoadsByInitiatorType("link");
  const httpResourceLoadTime =
    measureResourceLoadsByInitiatorType("xmlhttprequest");
  const fetchResourceLoadTime = measureResourceLoadsByInitiatorType("fetch");

  window.__perfAnalytics = {
    url: W.location.host,
    date: new Date(),
    fcpTime: fcpTime,
    ttfbTime: ttfbTime,
    domLoadTime: domLoadTime,
    windowLoadTime: windowLoadTime,
    scriptResourceLoadTime: scriptResourceLoadTime,
    cssResourceLoadTime: cssResourceLoadTime,
    imgResourceLoadTime: imgResourceLoadTime,
    linkResourceLoadTime: linkResourceLoadTime,
    httpResourceLoadTime: httpResourceLoadTime,
    fetchResourceLoadTime: fetchResourceLoadTime,
  };

  var xhr = new XMLHttpRequest();
  xhr.open("POST", BASE_URL, !0);
  xhr.setRequestHeader("Content-Type", "application/json");
  xhr.send(JSON.stringify(window.__perfAnalytics));
};</script>
</body>
</html>

